<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structthread_info__t" kind="struct" language="C++" prot="public">
    <compoundname>threadInfo_t</compoundname>
    <includes local="no">cy_iot_platform_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structthread_info__t_1a2e769d08eeab26500b127cc2f51d30c5" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_thread_t</type>
        <definition>cy_thread_t threadInfo_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>Thread handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="57" />
      </memberdef>
      <memberdef id="structthread_info__t_1aff3867e61e9b5146566b24c14398f6ed" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* threadInfo_t::pArgument</definition>
        <argsstring />
        <name>pArgument</name>
        <briefdescription>
<para>Argument to threadRoutine. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="58" />
      </memberdef>
      <memberdef id="structthread_info__t_1ada36a64ab4dd9b6da149159133118ca5" kind="variable" mutable="no" prot="public" static="no">
        <type>void(*</type>
        <definition>void( *  threadInfo_t::threadRoutine) (void *)</definition>
        <argsstring>)(void *)</argsstring>
        <name>threadRoutine</name>
        <briefdescription>
<para>Thread function to run. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="59" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Holds information about an active detached thread so that we can delete the FreeRTOS task when it completes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="60" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="56" />
    <listofallmembers>
      <member prot="public" refid="structthread_info__t_1a2e769d08eeab26500b127cc2f51d30c5" virt="non-virtual"><scope>threadInfo_t</scope><name>handle</name></member>
      <member prot="public" refid="structthread_info__t_1aff3867e61e9b5146566b24c14398f6ed" virt="non-virtual"><scope>threadInfo_t</scope><name>pArgument</name></member>
      <member prot="public" refid="structthread_info__t_1ada36a64ab4dd9b6da149159133118ca5" virt="non-virtual"><scope>threadInfo_t</scope><name>threadRoutine</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>